package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.result.PrintPlanResult;
import com.qmth.distributed.print.business.entity.ExamPrintPlan;
import com.qmth.distributed.print.business.enums.PrintPlanStatusEnum;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 印刷计划管理 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamPrintPlanMapper extends BaseMapper<ExamPrintPlan> {
    IPage<PrintPlanResult> findPrintPlanPage(@Param("iPage") Page<PrintPlanResult> iPage,
                                             @Param("schoolId") Long schoolId,
                                             @Param("name") String name,
                                             @Param("status") PrintPlanStatusEnum status,
                                             @Param("startTime") Long startTime,
                                             @Param("endTime") Long endTime);
}
